#!/usr/bin/python3

import requests
import urllib

print('Script started...')

host_name = 'https://app.displayr.com'

# A demonstration of running an addtional script on an existing project using
# the Displayr API. Details of the API can be found at
# https://app.displayr.com/API/
#
# -----------------------------------------------------------------------------
#
# Set the following variables based on the company you are working with:

# The following can be found from the output of createproject.py or in the
# project properties in Displayr:
project_secret = 'insert-document-secret'

# Script to run
script_path = 'addcategory.QScript'

#
# -----------------------------------------------------------------------------
        
params = {'project':project_secret}
url = "%s/API/RunScript?%s" % (host_name, urllib.parse.urlencode(params))
print(url)
with open(script_path, 'r') as file:
        qscript = file.read()
print(qscript)      
response = requests.post(url, data=qscript)
print("Check this response contains no errors (should be a short HTML with 'success' in there):")
print(response.content)
print('Done')